//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Abstract view class for the Csound Server.

#include <Rect.h>
#include <View.h>

#include "CsSvAbstractView.h"

inline BRect
viewFrame(BRect windowFrame)
{
	windowFrame.OffsetTo(B_ORIGIN);
	return windowFrame;
}

CsoundServerAbstractView::CsoundServerAbstractView(
	BRect windowFrame, const char *pWindowName)
:	inherited(viewFrame(windowFrame), pWindowName,
				 B_FOLLOW_ALL_SIDES, B_WILL_DRAW|B_FULL_UPDATE_ON_RESIZE)
{
	// empty
}

CsoundServerAbstractView::~CsoundServerAbstractView(void)
{
	// empty
}

void
CsoundServerAbstractView::AttachedToWindow(void)
{
	inherited::AttachedToWindow();
	
	// Common setup for Csound views.
	SetViewColor(0, 0, 0);
	SetLowColor(0, 0, 0);
	SetFont(be_plain_font);
	SetFontSize(12.0);
}

void
CsoundServerAbstractView::WindowActivated(bool active)
{
	inherited::WindowActivated(active);
	if (active) {
		MakeFocus();
	}
}
