//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Abstract view class for the Csound Server.

#ifndef CSSVABSTRACTVIEW_H
#define CSSVABSTRACTVIEW_H

#include <Rect.h>
#include <View.h>

class CsoundServerAbstractView: public BView {
public:
	typedef BView inherited;

protected:
	CsoundServerAbstractView(BRect windowFrame, const char *pWindowName);
	virtual ~CsoundServerAbstractView(void);

	// Hook functions.
	virtual void AttachedToWindow(void);
	virtual void WindowActivated(bool active);
	
	// Process requests read from the client.
	//virtual void ClientRequest(void *pRequest) = 0;
	
private:
	CsoundServerAbstractView(const CsoundServerAbstractView &orig);
	CsoundServerAbstractView &operator =(
		const CsoundServerAbstractView &orig);
};

#endif // CSSVABSTRACTVIEW_H
