//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Client monitor class for the Csound Server.

#ifndef CSSVCLIENT_H
#define CSSVCLIENT_H

#include <OS.h>

class CsoundServerClient {
public:
	CsoundServerClient(struct ServerClientPort *pClientPort);
	virtual ~CsoundServerClient(void);

	// Start monitoring the client port.
	status_t Run(void);
	
private:
	CsoundServerClient(const CsoundServerClient &);
	CsoundServerClient &operator =(const CsoundServerClient &);

	// Thread functions.
	static int32 ClientThreadStub(void *pData);
	int32 ClientThread(void);

	// Client requests.
	void NewGraphWindow(struct ServerGraphWindow *pDesc);
	void DrawGraph(struct ServerGraphData *pDesc);
	void NewInputWindow(struct ServerInputWindow *pDesc);
	void ReadInput(struct ServerInputRequest *pDesc);
	void KillWindow(struct ServerKillWindow *pDesc);

	// Data members.
	static int32 smClientCounter;
	
	const uint32 mId;
	const port_id mRequestPort;
	const port_id mReplyPort;
	thread_id mClientThread;
	sem_id mClientSem;
};

#endif // CSSVCLIENT_H
