//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		X/Y input view class for the Csound Server.

#ifndef CSSVINPUTVIEW_H
#define CSSVINPUTVIEW_H

#include <Point.h>
#include <Rect.h>
#include <View.h>

#include "CsSvAbstractView.h"

class CsoundServerInputView: public CsoundServerAbstractView {
public:
	typedef CsoundServerAbstractView inherited;
	
	CsoundServerInputView(BRect windowFrame, const char *pWindowName,
								 float x, float y);
	virtual ~CsoundServerInputView(void);

	// Hook functions.
	virtual void Draw(BRect updateRect);
	virtual void MouseDown(BPoint point);
	virtual void MouseMoved(BPoint point, uint32 transit, const BMessage *pMsg);
	virtual void MouseUp(BPoint point);
	
	// Inquire current state.
	void GetState(float &x, float &y, int &down);
	
private:
	CsoundServerInputView(const CsoundServerInputView &orig);
	CsoundServerInputView &operator =(const CsoundServerInputView &orig);

	void DrawCrosshairs(rgb_color color);
	void Update(BRect bounds, BPoint point, bool down);
		
	// Data members.
	float mX, mY;
	bool mDown, mTracking;
};

#endif // CSSVINPUTVIEW_H
