//		Copyright © 2000  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Interface to the BeOS software MIDI synthesizer.

#ifndef CSSVMIDISYNTHCONSUMER_H
#define CSSVMIDISYNTHCONSUMER_H

#include <MidiConsumer.h>
#include <MidiSynth.h>

class CsoundServerMidiSynthConsumer : public BMidiLocalConsumer
{
	typedef BMidiLocalConsumer inherited;
public:
	CsoundServerMidiSynthConsumer(const char *pName);
	virtual ~CsoundServerMidiSynthConsumer(void);

	// Pass all received MIDI data to the software synthesizer.
	virtual void NoteOff(uchar channel,
								uchar note, uchar velocity,
								bigtime_t time);
	virtual void NoteOn(uchar channel,
							  uchar note, uchar velocity,
							  bigtime_t time);
	virtual void KeyPressure(uchar channel,
									 uchar note, uchar pressure,
									 bigtime_t time);
	virtual void ControlChange(uchar channel,
										uchar controlNumber, uchar controlValue,
										bigtime_t time);
	virtual void ProgramChange(uchar channel,
										uchar programNumber,
										bigtime_t time);
	virtual void ChannelPressure(uchar channel, uchar pressure, bigtime_t time);
	virtual void PitchBend(uchar channel, uchar lsb, uchar msb, bigtime_t time);
	virtual void AllNotesOff(bool justChannel, bigtime_t time);

private:
	CsoundServerMidiSynthConsumer(const CsoundServerMidiSynthConsumer &);
	CsoundServerMidiSynthConsumer &operator =(const CsoundServerMidiSynthConsumer &);

	// Data members.
	BMidiSynth mSynth;
};

#endif // CSSVMIDISYNTHCONSUMER_H
