//		Copyright © 2000  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Helper class for reading a string from a port.

#include "CsSvStringReader.h"

#include <OS.h>

CsoundServerStringReader::CsoundServerStringReader(const port_id port)
:	mpString(0)
{
	// Read the string.
	ssize_t length = port_buffer_size(port);
	if (length >= 0) {
		mpString = new char[length + 1];

		int32 dummy;
		if ((length = read_port(port, &dummy, mpString, length)) < B_OK) {
			delete [] mpString;
			mpString = 0;
		} else {
			mpString[length] = '\0';
		}
	}
}

CsoundServerStringReader::~CsoundServerStringReader(void)
{
	delete [] mpString;
	mpString = 0;
}
