//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Abstract window class for subordinate options windows.

#include <InterfaceDefs.h>
#include <Point.h>
#include <Rect.h>
#include <View.h>

#include "CsAbstractWindow.h"
#include "CsAbstractMainWindow.h"
#include "CsAbstractOptionsWindow.h"

CsoundAbstractOptionsWindow::CsoundAbstractOptionsWindow(
		BPoint origin, const char *pTitle, CsoundAbstractMainWindow &target)
:	inherited(origin, pTitle,
				 B_FLOATING_WINDOW_LOOK, B_FLOATING_SUBSET_WINDOW_FEEL),
	mTarget(target)
{
	AddToSubset(&target);
	
	// Create the window background.
	CreateBackgroundView(Bounds(), pTitle, ui_color(B_PANEL_BACKGROUND_COLOR));
}

CsoundAbstractOptionsWindow::~CsoundAbstractOptionsWindow(void)
{
	// empty
}

// Hook functions.
bool
CsoundAbstractOptionsWindow::QuitRequested(void)
{
	// Just hide - we are controlled by the main window.
	Hide();
	mTarget.PostMessage(CsoundAbstractMainWindow::kOptionsWindowClosed);
	return false;
}
