//		Copyright © 1997–2000  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		The synthesis options window; contains less frequently used settings.

#ifndef CSLPOPTIONSWINDOW_H
#define CSLPOPTIONSWINDOW_H

#include <CheckBox.h>
#include <Point.h>
#include <RadioButton.h>

class CsoundLPAnalysisMainWindow;
#include "CsAbstractOptionsWindow.h"

class CsoundLPAnalysisOptionsWindow : public CsoundAbstractOptionsWindow
{
	typedef CsoundAbstractOptionsWindow inherited;
public:
	
	CsoundLPAnalysisOptionsWindow(
		BPoint origin, const char *pTitle, CsoundLPAnalysisMainWindow &target);
	virtual ~CsoundLPAnalysisOptionsWindow(void);

	// Hook functions.
	virtual void UpdateControlValues(void);
	
private:
	// Unimplemented copy constructor and assignment operator.
	CsoundLPAnalysisOptionsWindow(const CsoundLPAnalysisOptionsWindow &);
	CsoundLPAnalysisOptionsWindow &
		operator =(const CsoundLPAnalysisOptionsWindow &);

	// Controls - on/off settings.
	enum {
		kStorePoles,								// -a
		kDisplays,									// -g
		kNumCheckBoxes
	};
	BCheckBox *mpCheckBoxes[kNumCheckBoxes];
	
	// 1-of-N selections.
	enum {
		kSilent,										// -v 0
		kVerbose,									// -v 1
		kDebug,										// -v 2
		kNumRadioButtons
	};
	BRadioButton *mpRadioButtons[kNumRadioButtons];
};

#endif // CSLPOPTIONSWINDOW_H
