//		Copyright © 1999  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include <GraphicsDefs.h>
#include <TextControl.h>

#include "ColoredTextControl.h"

ColoredTextControl::ColoredTextControl(
	BRect frame,
	const char *pName, const char *pLabel, const char *pInitialText, 
	rgb_color color,
	BMessage *pMessage, uint32 rmask, uint32 flags)
:	inherited(frame, pName, pLabel, pInitialText, pMessage, rmask, flags),
	mColor(color)
{
	// empty
}

ColoredTextControl::~ColoredTextControl(void)
{
	// empty
}
	
void
ColoredTextControl::AllAttached(void)
{
	inherited::AllAttached();
	TextView()->SetViewColor(mColor);
	TextView()->SetLowColor(mColor);
}
