//		Copyright © 1999  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef _ColoredTextControl_h
#define _ColoredTextControl_h

#include <GraphicsDefs.h>
#include <TextControl.h>

class ColoredTextControl : public BTextControl {
	typedef BTextControl inherited;
public:
	
	// Constructor, destructor.
	ColoredTextControl(
		BRect frame,
		const char *pName, const char *pLabel, const char *pInitialText, 
		rgb_color color,
		BMessage *pMessage,
		uint32 rmask = B_FOLLOW_LEFT|B_FOLLOW_TOP,
		uint32 flags = B_WILL_DRAW|B_NAVIGABLE); 
	virtual ~ColoredTextControl(void);
	
protected:
	// Hook functions.
	virtual void AllAttached(void);

private:
	// Unimplemented copy constructor and assignment operator.
	ColoredTextControl(const ColoredTextControl &);
	ColoredTextControl &operator =(const ColoredTextControl &);

	// Data members.
	rgb_color mColor;
};

#endif // _ColoredTextControl_h
