//		Copyright © 1997	Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		Check for NaNs, return a NaN.

#ifndef NaN_H
#define NaN_H

#include <cmath>

#include <byteorder.h>

inline bool
isNaN(double value)
{
	return isnan(value);
}

inline double
aNaN(void)
{
	static const union {
		char c[8];
		double d;
	} qNaN = {
		// Big endian NaN.
		0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
	};
	return B_BENDIAN_TO_HOST_DOUBLE(qNaN.d);
}

#endif // NaN_H
